Skip to content
Guides
Fulfillment & ShippingZones
shipping_settings:update

Update shipping zone

Updates a shipping zone: the set of areas that share the same rates.

PUT/v1/shipping/zones/{id}

Updates a shipping zone: the set of areas that share the same rates.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/v1/shipping/zones/7204558912004325301" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "code": "example_code",    "name": "Example resource",    "description": "Example description.",    "countryCodes": [      "example"    ],    "provinceCodes": [      "example"    ],    "cityNames": [      "example"    ],    "districtNames": [      "example"    ],    "postalCodes": [      "example"    ]  }'
Empty